From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/eventmachine/
Date: Thu, 14 Jan 2016 20:37:46 +0000 (UTC) [thread overview]
Message-ID: <1452803810.f4b6ae9fa11e6a5f08f08e34cdaa16ae76b2f2eb.mrueg@gentoo> (raw)
commit: f4b6ae9fa11e6a5f08f08e34cdaa16ae76b2f2eb
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 14 20:36:50 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Jan 14 20:36:50 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4b6ae9f
dev-ruby/eventmachine: Version bump
Package-Manager: portage-2.2.26
dev-ruby/eventmachine/Manifest | 1 +
dev-ruby/eventmachine/eventmachine-1.0.9.1.ebuild | 84 +++++++++++++++++++++++
2 files changed, 85 insertions(+)
diff --git a/dev-ruby/eventmachine/Manifest b/dev-ruby/eventmachine/Manifest
index edbd3cf..b7bed57 100644
--- a/dev-ruby/eventmachine/Manifest
+++ b/dev-ruby/eventmachine/Manifest
@@ -1,3 +1,4 @@
DIST eventmachine-1.0.3.gem 225792 SHA256 34424c87fc517f70ba137fe2281d16b53ce9c13f5cbfc2dda3ada56e96a65827 SHA512 ea4f0b1a2580d14e564641c49f0e3ac2a9c86d916dd2c5e938df22d1d105c00811154d8bfa7a0f9a8ce32783f5398524c70458c161eab2f0591c690e1e6a5573 WHIRLPOOL 52159101a59ba3d9eff28bedbc2baea46c867049de596f72da4d4a5784e79542f291275c61639d3dc6f062150d4819f7343d12e71bae8fc8954956d6d6db36e2
DIST eventmachine-1.0.7.gem 231424 SHA256 342b7dfa2bc1d43f9b58c4481d81cc9eb5f7c92a5d0eb39739459fcbdd579d4c SHA512 e119de503d41b34f70060f7735f8d047c139aa14c343cc43c34074196f560dfd64e9f274bb7e44556bf8ded112e5476214196b0ec8635a169f8a050771619ffd WHIRLPOOL 3026f0d9e4ffa791487f657bba0db920c3192d97cbab0447e426ee55b176e4ada87079248fd657278cdaa4556ba8f7da7cce4a106c88c4af45d680c2a6f088e1
DIST eventmachine-1.0.8.gem 232960 SHA256 57ba18d8f76fb43f8842dd17cc3cebc46eea06a5d5033b3131ac8f73c7bc3bbb SHA512 55bfb8a22149495ca70913e6df6b9861cf0e10a512cdd25579064a816eb7e365bd0a03a1219ed23ed99772b9b312e3ce137781cb0890e31fbb5e5f542ba5ef70 WHIRLPOOL e4c295ebb6f931a0773b9fd9618598e56a7e5ec07908159aac4bdfb148b42ef0ee18d10e5f01008d2c435b008565b6d874a6776ab43d3171f372b6c855afbfaa
+DIST eventmachine-1.0.9.1.gem 235008 SHA256 9f4cb30b3bce0c2a90da875a81534f12cbf6f1174f80d64c32efbda1140b599e SHA512 5cbc178c604fe9a21850c298f7a5b6f904573f5e1db9e07fee599c5700841c52ec0311a6e50192eff9c1bb45cf30a9dd81d2150fe9d04cabd24cc7c9c32c5df0 WHIRLPOOL 9b46ec04930ff0d54b27cace94b9fe65118e122c96c15b5aed0a7ac7c4ff9e5e4bbf73c8325af2e50db7e7e4014cbfadd5b3dc287fe144bb5fc5610f7f9969e7
diff --git a/dev-ruby/eventmachine/eventmachine-1.0.9.1.ebuild b/dev-ruby/eventmachine/eventmachine-1.0.9.1.ebuild
new file mode 100644
index 0000000..086b3d5
--- /dev/null
+++ b/dev-ruby/eventmachine/eventmachine-1.0.9.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_DOC="yard"
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="docs/*.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="EventMachine is a fast, simple event-processing library for Ruby programs"
+HOMEPAGE="http://rubyeventmachine.com"
+
+LICENSE="|| ( GPL-2 Ruby )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND="${DEPEND}
+ dev-libs/openssl:0"
+RDEPEND="${RDEPEND}
+ dev-libs/openssl:0"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ test? ( dev-ruby/test-unit:2 )"
+
+all_ruby_prepare() {
+ # Remove package tasks to avoid dependency on rake-compiler.
+ rm rakelib/package.rake || die
+
+ # fix test issue - upstream b96b736b39261f7d74f013633cc7cd619afa20c4
+ sed -i -e 's/DEBUG/BROADCAST/g' tests/test_set_sock_opt.rb || die
+ sed -i -e "/omit_/d" tests/test_*.rb || die
+ # Remove the resolver tests since they require network access and
+ # the localhost test fails with an IPv6 localhost.
+ rm tests/test_resolver.rb || die
+ # Needs a tty
+ rm tests/test_kb.rb || die
+ # Avoid tests that require network access
+ sed -i -e '/test_bind_connect/,/^ end/ s:^:#:' \
+ tests/test_basic.rb || die
+ sed -i -e '/test_\(cookie\|http_client\|version_1_0\)/,/^ end/ s:^:#:' \
+ tests/test_httpclient.rb || die
+ sed -i -e '/test_\(get\|https_get\)/,/^ end/ s:^:#:' \
+ tests/test_httpclient2.rb || die
+ sed -i -e '/test_connect_timeout/,/^ end/ s:^:#:' \
+ tests/test_unbind_reason.rb || die
+ sed -i -e '/test_for_real/,/^ end/ s:^:#:' \
+ tests/test_pending_connect_timeout.rb || die
+ rm -f tests/test_{get_sock_opt,set_sock_opt,idle_connection}.rb || die
+}
+
+each_ruby_configure() {
+ for extdir in ext ext/fastfilereader; do
+ pushd $extdir
+ ${RUBY} extconf.rb || die "extconf.rb failed for ${extdir}"
+ popd
+ done
+}
+
+each_ruby_compile() {
+ for extdir in ext ext/fastfilereader; do
+ pushd $extdir
+ # both extensions use C++, so use the CXXFLAGS not the CFLAGS
+ emake V=1 CFLAGS="${CXXFLAGS} -fPIC" archflag="${LDFLAGS}" || die "emake failed for ${extdir}"
+ popd
+ cp $extdir/*.so lib/ || die "Unable to copy extensions for ${extdir}"
+ done
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb tests/test_*.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ insinto /usr/share/doc/${PF}/
+ doins -r examples || die "Failed to install examples"
+}
next reply other threads:[~2016-01-14 20:37 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-01-14 20:37 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-03-29 13:04 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/eventmachine/ Sam James
2023-03-29 11:48 Sam James
2023-03-29 11:38 Sam James
2023-03-12 12:09 Hans de Graaff
2022-07-30 7:46 Hans de Graaff
2022-06-26 6:44 Hans de Graaff
2022-06-18 20:25 Sam James
2022-06-18 20:25 Sam James
2021-09-28 19:34 Sam James
2021-09-28 1:09 Sam James
2021-09-28 1:08 Sam James
2021-09-28 1:01 Sam James
2021-06-22 18:19 Sam James
2020-05-23 6:34 Hans de Graaff
2019-02-02 10:36 Hans de Graaff
2018-07-15 19:05 Hans de Graaff
2018-07-15 19:05 Hans de Graaff
2018-05-18 5:56 Hans de Graaff
2018-04-26 4:57 Hans de Graaff
2018-04-17 18:29 Hans de Graaff
2018-04-16 18:32 Hans de Graaff
2018-02-25 7:47 Hans de Graaff
2018-02-25 6:47 Hans de Graaff
2016-06-26 5:38 Hans de Graaff
2016-03-17 11:56 Agostino Sarubbo
2016-03-17 6:39 Hans de Graaff
2016-03-17 6:39 Hans de Graaff
2016-03-17 6:39 Hans de Graaff
2016-01-14 20:37 Manuel Rüger
2015-10-03 9:12 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1452803810.f4b6ae9fa11e6a5f08f08e34cdaa16ae76b2f2eb.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox